From 1d3c9eb95337d0a095c841d702e6efc2fe666854 Mon Sep 17 00:00:00 2001
From: Sinji Prasetio <sinjiprasetio@outlook.com>
Date: Sun, 28 Dec 2025 21:44:19 +0700
Subject: [PATCH 4/9] update

---
 app/Livewire/Wheel.php                   | 2 +-
 resources/views/livewire/wheel.blade.php | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/app/Livewire/Wheel.php b/app/Livewire/Wheel.php
index 4f82c71..bfb1dd7 100644
--- a/app/Livewire/Wheel.php
+++ b/app/Livewire/Wheel.php
@@ -17,7 +17,7 @@ class Wheel extends Component
     public $code;
     public $rotationFinal = 0;
     public $state = 'ready';
-    public $prize = '';
+    public $prize;
     public $totalPrize = 0;
 
     public function mount()
diff --git a/resources/views/livewire/wheel.blade.php b/resources/views/livewire/wheel.blade.php
index 2f1806d..6be22cb 100644
--- a/resources/views/livewire/wheel.blade.php
+++ b/resources/views/livewire/wheel.blade.php
@@ -212,7 +212,7 @@ class="absolute p-2 rounded-full bg-gradient-to-b from-violet-800 to-violet-900
                                     <tr>
                                         <td class="px-4 py-2">{{ $i + 1 }}</td>
                                         <td class="px-4 py-2">{{ format()->maskUsername($h->member->username) }}</td>
-                                        <td class="px-4 py-2">{{ $h->prize->prize }}</td>
+                                        <td class="px-4 py-2">{{ $h->prize }}</td>
                                     </tr>
                                 @endforeach
                             </tbody>
-- 
2.50.0


